<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="view_logistics_graph_wizard_form" model="ir.ui.view">
        <field name="name">logistics.graph.wizard.form</field>
        <field name="model">logistics.graph.wizard</field>
        <field name="arch" type="xml">
            <form string="Add to Graph">
                <sheet>
                    <group>
                        <field name="node_id" readonly="1"/>
                        <field name="node_uuid" invisible="1"/>
                        <field name="country_id" readonly="1"/>
                        <field name="graph_method"/>
                        <field name="duration_minutes" invisible="graph_method != 'isochrone'"/>
                    </group>
                </sheet>
                <footer>
                    <button name="action_add_to_graph" 
                            string="Add to Graph" 
                            type="object" 
                            class="btn-primary"/>
                    <button string="Cancel" 
                            class="btn-secondary" 
                            special="cancel"/>
                </footer>
            </form>
        </field>
    </record>
</odoo>